<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'groupchat',

    /*
     * Modules.
     */
    'modules'   => ['groupchat'],

    
    'groupchat'       => [
        'model' => [
            'model'                 => \Litecms\Groupchat\Models\Groupchat::class,
            'table'                 => 'groupchats',
            'presenter'             => \Litecms\Groupchat\Repositories\Presenter\GroupchatPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['groupchat_id',  'user_id',  'user_type',  'comments'],
            'translatables'         => [],
            'upload_folder'         => 'groupchat/groupchat',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Groupchat',
            'module'    => 'Groupchat',
        ],

    ],
];
