Lavalite package that provides groupchat management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/groupchat`.

    "litecms/groupchat": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Groupchat\Providers\GroupchatServiceProvider::class,

And also add it to alias

    'Groupchat'  => Litecms\Groupchat\Facades\Groupchat::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\GroupchatTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Groupchat\Providers\GroupchatServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Groupchat\Providers\GroupchatServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Groupchat\Providers\GroupchatServiceProvider" --tag="view"


## Usage


