<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for groupchat in groupchat package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  groupchat module in groupchat package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Groupchat',
    'names'         => 'Groupchats',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Groupchats',
        'sub'   => 'Groupchats',
        'list'  => 'List of groupchats',
        'edit'  => 'Edit groupchat',
        'create'    => 'Create new groupchat'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'groupchat_id'               => 'Groupchat_id',
        'user_id'                    => 'User_id',
        'user_type'                  => 'User_type',
        'comments'                   => 'Comments',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'groupchat_id'               => 'Groupchat_id',
        'user_id'                    => 'User_id',
        'user_type'                  => 'User_type',
        'comments'                   => 'Comments',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'groupchat_id'               => ['name' => 'Groupchat_id', 'data-column' => 1, 'checked'],
        'user_id'                    => ['name' => 'User_id', 'data-column' => 2, 'checked'],
        'user_type'                  => ['name' => 'User_type', 'data-column' => 3, 'checked'],
        'comments'                   => ['name' => 'Comments', 'data-column' => 4, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Groupchats',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
